<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aes__ccm__decrypt__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aes_ccm_decrypt_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aes__ccm__decrypt__info__t_1a2089ec59e72c92e3e588fc514b8abfdc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_decrypt_info_t::key[CY_BLE_ENCRYPTION_KEY_SIZE]</definition>
        <argsstring>[CY_BLE_ENCRYPTION_KEY_SIZE]</argsstring>
        <name>key</name>
        <briefdescription>
<para>Array of bytes holding the key. </para>        </briefdescription>
        <detaileddescription>
<para>The key must be stored in little endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="480" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__decrypt__info__t_1ab088f8562cbd1fd6f60a0881fe5c286b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_decrypt_info_t::nonce[CY_BLE_ENCRYPTION_NONCE_SIZE]</definition>
        <argsstring>[CY_BLE_ENCRYPTION_NONCE_SIZE]</argsstring>
        <name>nonce</name>
        <briefdescription>
<para>Array of bytes holding the nonce. </para>        </briefdescription>
        <detaileddescription>
<para>The nonce should be in CCM nonce format specified by the Bluetooth Core 5.0 Specification, Vol.6, Part E, Section 2.1. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="485" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="485" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__decrypt__info__t_1a3333739df63daa8e40d560d51b689447" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_aes_ccm_decrypt_info_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Pointer to an array of bytes to be encrypted. </para>        </briefdescription>
        <detaileddescription>
<para>Size of the array should be equal to the value of the 'length' parameter. The data must be stored in little endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="489" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="489" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__decrypt__info__t_1a823d7daf0279e5e2d9c9084467c41488" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_aes_ccm_decrypt_info_t::mic</definition>
        <argsstring />
        <name>mic</name>
        <briefdescription>
<para>Pointer to an array of bytes (four Bytes) to provide the MIC value generated during encryption. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="493" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="493" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__decrypt__info__t_1aeb2202efff2a1326b11a889c5929bde8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_decrypt_info_t::length</definition>
        <argsstring />
        <name>length</name>
        <briefdescription>
<para>Length of data in bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="496" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="496" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AES CCM decrypt information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="498" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="477" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="478" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__decrypt__info__t_1a3333739df63daa8e40d560d51b689447" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_decrypt_info_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__decrypt__info__t_1a2089ec59e72c92e3e588fc514b8abfdc" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_decrypt_info_t</scope><name>key</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__decrypt__info__t_1aeb2202efff2a1326b11a889c5929bde8" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_decrypt_info_t</scope><name>length</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__decrypt__info__t_1a823d7daf0279e5e2d9c9084467c41488" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_decrypt_info_t</scope><name>mic</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__decrypt__info__t_1ab088f8562cbd1fd6f60a0881fe5c286b" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_decrypt_info_t</scope><name>nonce</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>